Skip to main content
`Ctrl`+`K`

# SNESSetIterationNumber

Sets the current iteration number.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESSetIterationNumber(SNES snes, PetscInt iter)

Not Collective

## Input Parameters

- snes - `SNES` context

- iter - iteration number

## Note

This should only be called inside a `SNES` nonlinear solver.

## See Also

SNES: Nonlinear Solvers, `SNESGetLinearSolveIterations()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages